Bug 426025 - [PATCH] Make package noarch
[PATCH] Make package noarch
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-17 15:56 EST by Ville Skyttä
Modified: 2013-01-09 20:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-18 12:10:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-12-17 15:56:39 EST
Mock no longer contains any architecture dependent binaries and the only
potentially arch dependent variable (LIBDIR) substitution in Makefile.am is
actually a no-op these days (ditto PKGDATADIR), so mock could be made noarch.

Patches:
http://scop.fedorapeople.org/patches/mock/0003-Clean-up-no-longer-used-mock.py-variable-substitutio.patch
http://scop.fedorapeople.org/patches/mock/0004-Make-noarch.patch

Unrelated while-at-it whitespace pedantry (make likes tabs):
http://scop.fedorapeople.org/patches/mock/0002-Fix-whitespace.patch
Comment 1 Michael E Brown 2007-12-17 20:10:59 EST
Not yet.

I'm still working through the libselinux LD_PRELOAD we used to have. Once I have
conclusively determined that we no longer need it, then I dont mind going to noarch.

I'm still maintaining a private branch with the libselinux that uses LIBDIR, and
I'm also attempting to share some code between this and a couple other projects,
so I'll not likely apply the Makefile.am patch removing the variable substs.

Will leave this one open until I've decided one way or the other.

Thanks for all of the previous patches you have posted.
Comment 2 Ville Skyttä 2007-12-18 11:42:27 EST
Ok.  A couple of related comments though:

The LIBDIR var substitution looks currently odd (LIBDIR substituted with 
PKGDATADIR): perl -p -i -e 's|^LIBDIR =.*|PKGDATADIR="$(libdir)"|' $$file

If the package won't be made noarch but will contain no native binaries, the
empty debuginfo package should be disabled with "%define debug_package %{nil}".
Comment 3 Michael E Brown 2007-12-18 11:58:53 EST
Great comments. Completely overlooked the LIBDIR oddity. fixing. (Thanks)

Will also switch mock to noarch for the time being.
Comment 4 Michael E Brown 2007-12-18 12:10:19 EST
Applied noarch patch. Applied my own fixups for the whitespace (make only
prefers tabs in rules.) Applied my own fixups for variable subst patch.

As always, your contributions are much appreciated. Thank you.

Note You need to log in before you can comment on or make changes to this bug.